
* {
    margin: 0;
    padding: 0;
    font-family: 'Noto Serif Kannada', serif;
    font-family: 'Rubik Iso', cursive;
    font-family: 'Yatra One', cursive;
    
}

body {
    background-color: #252934;
    color: white;
}

a,
a:visited,
a:hover,
.box .box-container:hover,
.box .box-container {
    -webkit-transition: all 150ms ease-in-out;
    -moz-transition: all 150ms ease-in-out;
    -ms-transition: all 150ms ease-in-out;
    -o-transition: all 150ms ease-in-out;
    transition: all 150ms ease-in-out;
}

.box .box-container:hover {
    -webkit-box-shadow: 4px 4px 15px -5px rgba(42, 185, 207, 0.75);
    -moz-box-shadow: 4px 4px 15px -5px rgba(30, 219, 203, 0.75);
    box-shadow: 4px 4px 15px -5px rgba(23, 234, 209, 0.75);
}

.container form,
.box .box-container {
    -webkit-box-shadow: 4px 4px 15px -5px rgba(219, 36, 36, 0.852);
    -moz-box-shadow: 4px 4px 15px -5px rgba(196, 34, 34, 0.991);
    box-shadow: 4px 4px 15px -5px rgba(220, 8, 8, 0.911);
}

/* ------------- CONTAINER STYLING ------------- */
 .youtube, .netflix , .spotify, .insta,.twitter ,.reddit,.chatgpt,.leetcode,.unsplash,.canva,.GArt,.github,.dafont,.coursera,.udemy{
    width: 25px;
    height: 25px;
} 

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 100vh;
}

/* ------------- LINK STYLING ------------- */

a,
a:visited {
    color: #6C7789;
}

a:hover {
    color: white;
}

a,
a:visited,
a:hover {
    text-decoration: none;

}

.box .box-container .link {
    /* font-family: 'test'; */
    font-size: 15px;
    padding: 20px 0 0 15px;
    text-align: left;
    gap: 5px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

/* ------------- TIME STYLING ------------- */

.container .time {
    /* font-family: 'test'; */
    font-size: 80px;
    margin-bottom: 20px;
}

/* ------------- BOX STYLING ------------- */

.box {
    width: 950px;
}


.box .box-container {
    background-color: #2E3441;
    width: 200px;
    height: 260px;
    float: left;
    border-radius: 5px;
}

.box .box-container:not(:last-child) {
    margin-right: 50px;
}

.box .box-container .heading {
    margin: 25px 0 9px 15px;
    /* font-family: 'test'; */
    font-size: 20px;
    text-align: left;
}

/* ------------- SEARCH STYLING ------------- */

.container form {
    background-color: #2E3441;
    border-radius: 10px;
    width: 450px;
    margin-bottom: 80px;
}

.container form .search-field,
.container form .search-submit {
    background: none;
    outline: none;
    border: none;
    line-height: 40px;
    position: relative;
    align-items: center;
}

.container form .search-field {
    width: 89%;
    padding-left: 15px;
    padding: 5px;
    color: white;
    font-size: 20px;
    bottom: -1px;
}

.container form .search-submit {
    width: 10%;
    top: 5px;
}

.container form .search-submit:hover {
    cursor: pointer;
}

.container form .search-submit::before {
	background-image:url(google1.svg);
	background-position:center center;
	fill: white;
	content:"";
	width:23px;
	height:23px;
	position:absolute;
	right:-185px;
	top: -38px;
}


/* ------------- MEDIA QUERY ------------- */

@media only screen and (max-width: 985px) {

    .box-container:nth-child(4),
    .box-container:nth-child(3) {
        margin-top: 50px;
    }

    .box .box-container:nth-child(2),
    .box .box-container:nth-child(4) {
        margin-right: 0;
    }

    .box {
        width: 450px;
    }
}